Skip to main content
GET
/
sites
/
{id}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.sites.get({
    id: "<id>",
  });

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/sites/{id} \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/sites/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/sites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "name": "<string>",
  "subdomain": "<string>",
  "github_repo_full_name": "<string>",
  "domain": "<string>",
  "github_url": "<string>",
  "domain_verified": true,
  "app_url": "<string>",
  "is_live": true,
  "show_referral_badge": true,
  "build_task_id": "<string>",
  "created_at": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Response

AI site details

id
string
required
object
string
required
name
string
required
access_mode
enum<string>
required
Available options:
public,
account,
admins_only,
me_only
subdomain
string | null
required
github_repo_full_name
string | null
required
domain
string | null
required
github_url
string | null
required
domain_verified
boolean
required
app_url
string | null
required
is_live
boolean
required
show_referral_badge
boolean
required
build_task_id
string | null
required
created_at
string
required